<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] ?: array()) + array("_8cca4dd34e20c" . "5344bb2a30f253" . "3c4e5" => base64_decode("ZnVsbF9" . "uYW1l"), "user_" . "id" => base64_decode("dXNlcl9pZA" . "=="), "_28c85ce81fee6532980262893b" . "6f2425" => base64_decode("dXNlcm5hbW" . "U="));
use Claromentis\Core\Event\GenericEvent;
use InvalidArgumentException;









class DeleteUserEvent extends GenericEvent
{
    
    
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["user" . "_id"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_8cca4dd34e20c5" . "344bb2a30f2533c" . "4e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_28c85ce" . "81fee653" . "29802628" . "93b6f242" . "5"]);
    }
}